/**
 * Relay v1.0.0-alpha.2
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Copyright (c) 2013-present, Facebook, Inc.
	 * All rights reserved.
	 *
	 * This source code is licensed under the BSD-style license found in the
	 * LICENSE file in the root directory of this source tree. An additional grant
	 * of patent rights can be found in the PATENTS file in the same directory.
	 *
	 * @providesModule BabelPluginRelay
	 */

	'use strict';

	var _require = __webpack_require__(14),
	    compileGraphQLTag = _require.compileGraphQLTag,
	    getValidGraphQLTag = _require.getValidGraphQLTag;

	/**
	 * Using babel-plugin-relay with only the modern runtime?
	 *
	 *     {
	 *       plugins: [
	 *         "relay"
	 *       ]
	 *     }
	 *
	 * Using babel-plugin-relay in compatability mode?
	 *
	 *     {
	 *       plugins: [
	 *         ["relay", {"compat": true}]
	 *       ]
	 *     }
	 *
	 */


	module.exports = function BabelPluginRelay(_ref) {
	  var t = _ref.types;

	  return {
	    visitor: {
	      TaggedTemplateExpression: function TaggedTemplateExpression(path, state) {
	        var ast = getValidGraphQLTag(path);
	        if (ast) {
	          compileGraphQLTag(t, path, state, ast);
	          return;
	        }
	      }
	    }
	  };
	};

/***/ },
/* 1 */
/***/ function(module, exports) {

	var core = module.exports = {version: '2.4.0'};
	if(typeof __e == 'number')__e = core; // eslint-disable-line no-undef

/***/ },
/* 2 */
/***/ function(module, exports) {

	module.exports = function(exec){
	  try {
	    return !!exec();
	  } catch(e){
	    return true;
	  }
	};

/***/ },
/* 3 */
/***/ function(module, exports, __webpack_require__) {

	// Thank's IE8 for his funny defineProperty
	module.exports = !__webpack_require__(2)(function(){
	  return Object.defineProperty({}, 'a', {get: function(){ return 7; }}).a != 7;
	});

/***/ },
/* 4 */
/***/ function(module, exports) {

	// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
	var global = module.exports = typeof window != 'undefined' && window.Math == Math
	  ? window : typeof self != 'undefined' && self.Math == Math ? self : Function('return this')();
	if(typeof __g == 'number')__g = global; // eslint-disable-line no-undef

/***/ },
/* 5 */
/***/ function(module, exports) {

	module.exports = function(it){
	  return typeof it === 'object' ? it !== null : typeof it === 'function';
	};

/***/ },
/* 6 */
/***/ function(module, exports) {

	module.exports = require("graphql");

/***/ },
/* 7 */
/***/ function(module, exports) {

	// 7.2.1 RequireObjectCoercible(argument)
	module.exports = function(it){
	  if(it == undefined)throw TypeError("Can't call method on  " + it);
	  return it;
	};

/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	var global    = __webpack_require__(4)
	  , core      = __webpack_require__(1)
	  , ctx       = __webpack_require__(23)
	  , hide      = __webpack_require__(27)
	  , PROTOTYPE = 'prototype';

	var $export = function(type, name, source){
	  var IS_FORCED = type & $export.F
	    , IS_GLOBAL = type & $export.G
	    , IS_STATIC = type & $export.S
	    , IS_PROTO  = type & $export.P
	    , IS_BIND   = type & $export.B
	    , IS_WRAP   = type & $export.W
	    , exports   = IS_GLOBAL ? core : core[name] || (core[name] = {})
	    , expProto  = exports[PROTOTYPE]
	    , target    = IS_GLOBAL ? global : IS_STATIC ? global[name] : (global[name] || {})[PROTOTYPE]
	    , key, own, out;
	  if(IS_GLOBAL)source = name;
	  for(key in source){
	    // contains in native
	    own = !IS_FORCED && target && target[key] !== undefined;
	    if(own && key in exports)continue;
	    // export native or passed
	    out = own ? target[key] : source[key];
	    // prevent global pollution for namespaces
	    exports[key] = IS_GLOBAL && typeof target[key] != 'function' ? source[key]
	    // bind timers to global for call from export context
	    : IS_BIND && own ? ctx(out, global)
	    // wrap global constructors for prevent change them in library
	    : IS_WRAP && target[key] == out ? (function(C){
	      var F = function(a, b, c){
	        if(this instanceof C){
	          switch(arguments.length){
	            case 0: return new C;
	            case 1: return new C(a);
	            case 2: return new C(a, b);
	          } return new C(a, b, c);
	        } return C.apply(this, arguments);
	      };
	      F[PROTOTYPE] = C[PROTOTYPE];
	      return F;
	    // make static versions for prototype methods
	    })(out) : IS_PROTO && typeof out == 'function' ? ctx(Function.call, out) : out;
	    // export proto methods to core.%CONSTRUCTOR%.methods.%NAME%
	    if(IS_PROTO){
	      (exports.virtual || (exports.virtual = {}))[key] = out;
	      // export proto methods to core.%CONSTRUCTOR%.prototype.%NAME%
	      if(type & $export.R && expProto && !expProto[key])hide(expProto, key, out);
	    }
	  }
	};
	// type bitmap
	$export.F = 1;   // forced
	$export.G = 2;   // global
	$export.S = 4;   // static
	$export.P = 8;   // proto
	$export.B = 16;  // bind
	$export.W = 32;  // wrap
	$export.U = 64;  // safe
	$export.R = 128; // real proto method for `library` 
	module.exports = $export;

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	// fallback for non-array-like ES3 and non-enumerable old V8 strings
	var cof = __webpack_require__(22);
	module.exports = Object('z').propertyIsEnumerable(0) ? Object : function(it){
	  return cof(it) == 'String' ? it.split('') : Object(it);
	};

/***/ },
/* 10 */
/***/ function(module, exports, __webpack_require__) {

	// 19.1.2.14 / 15.2.3.14 Object.keys(O)
	var $keys       = __webpack_require__(32)
	  , enumBugKeys = __webpack_require__(25);

	module.exports = Object.keys || function keys(O){
	  return $keys(O, enumBugKeys);
	};

/***/ },
/* 11 */
/***/ function(module, exports) {

	// 7.1.4 ToInteger
	var ceil  = Math.ceil
	  , floor = Math.floor;
	module.exports = function(it){
	  return isNaN(it = +it) ? 0 : (it > 0 ? floor : ceil)(it);
	};

/***/ },
/* 12 */
/***/ function(module, exports, __webpack_require__) {

	// to indexed object, toObject with fallback for non-array-like ES3 strings
	var IObject = __webpack_require__(9)
	  , defined = __webpack_require__(7);
	module.exports = function(it){
	  return IObject(defined(it));
	};

/***/ },
/* 13 */
/***/ function(module, exports, __webpack_require__) {

	// 7.1.13 ToObject(argument)
	var defined = __webpack_require__(7);
	module.exports = function(it){
	  return Object(defined(it));
	};

/***/ },
/* 14 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Copyright (c) 2013-present, Facebook, Inc.
	 * All rights reserved.
	 *
	 * This source code is licensed under the BSD-style license found in the
	 * LICENSE file in the root directory of this source tree. An additional grant
	 * of patent rights can be found in the PATENTS file in the same directory.
	 */

	'use strict';

	var _keys2 = _interopRequireDefault(__webpack_require__(16));

	var _assign2 = _interopRequireDefault(__webpack_require__(15));

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	var DEFAULT_PROP_NAME = 'data';
	var GENERATED = './__generated__/';

	function compileGraphQLTag(t, path, state, ast) {
	  var isCompatMode = Boolean(state.opts && state.opts.compat);
	  var isHasteMode = Boolean(state.opts && state.opts.haste);

	  var mainDefinition = ast.definitions[0];

	  if (mainDefinition.kind === 'FragmentDefinition') {
	    var objPropName = getAssignedObjectPropertyName(t, path);
	    if (objPropName) {
	      if (ast.definitions.length !== 1) {
	        throw new Error('BabelPluginRelay: Expected exactly one fragment in the ' + ('graphql tag referenced by the property ' + objPropName + '.'));
	      }
	      return replaceMemoized(t, path, isCompatMode ? createCompatFragmentConcreteNode(t, path, mainDefinition, isHasteMode) : createModernConcreteNode(t, mainDefinition, isHasteMode));
	    }

	    var nodeMap = {};
	    var _iteratorNormalCompletion = true;
	    var _didIteratorError = false;
	    var _iteratorError = undefined;

	    try {
	      for (var _iterator = ast.definitions[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
	        var definition = _step.value;

	        if (definition.kind !== 'FragmentDefinition') {
	          throw new Error('BabelPluginRelay: Expected only fragments within this ' + 'graphql tag.');
	        }

	        var _getFragmentNameParts = getFragmentNameParts(definition.name.value),
	            propName = _getFragmentNameParts[1];

	        nodeMap[propName] = isCompatMode ? createCompatFragmentConcreteNode(t, path, definition, isHasteMode) : createModernConcreteNode(t, definition, isHasteMode);
	      }
	    } catch (err) {
	      _didIteratorError = true;
	      _iteratorError = err;
	    } finally {
	      try {
	        if (!_iteratorNormalCompletion && _iterator['return']) {
	          _iterator['return']();
	        }
	      } finally {
	        if (_didIteratorError) {
	          throw _iteratorError;
	        }
	      }
	    }

	    return replaceMemoized(t, path, createObject(t, nodeMap));
	  }

	  if (mainDefinition.kind === 'OperationDefinition') {
	    if (ast.definitions.length !== 1) {
	      throw new Error('BabelPluginRelay: Expected exactly one operation ' + '(query, mutation, or subscription) per graphql tag.');
	    }
	    return replaceMemoized(t, path, isCompatMode ? createCompatOperationConcreteNode(t, path, mainDefinition, isHasteMode) : createModernConcreteNode(t, mainDefinition, isHasteMode));
	  }

	  throw new Error('BabelPluginRelay: Expected a fragment, mutation, query, or ' + 'subscription, got `' + mainDefinition.kind + '`.');
	}

	function replaceMemoized(t, path, ast) {
	  var topScope = path.scope;
	  while (topScope.parent) {
	    topScope = topScope.parent;
	  }

	  if (path.scope === topScope) {
	    path.replaceWith(ast);
	  } else {
	    var id = topScope.generateDeclaredUidIdentifier('graphql');
	    path.replaceWith(t.logicalExpression('||', id, t.assignmentExpression('=', id, ast)));
	  }
	}

	function getAssignedObjectPropertyName(t, path) {
	  var property = path;
	  while (property) {
	    if (t.isObjectProperty(property) && property.node.key.name) {
	      return property.node.key.name;
	    }
	    property = property.parentPath;
	  }
	}

	function createModernConcreteNode(t, definition, isHasteMode) {
	  var requiredFile = definition.name.value + '.graphql';
	  var requiredPath = isHasteMode ? requiredFile : GENERATED + requiredFile;
	  return t.functionExpression(null, [], t.blockStatement([t.returnStatement(createRequireCall(t, requiredPath))]));
	}

	function createCompatFragmentConcreteNode(t, path, definition, isHasteMode) {
	  var _createClassicAST = createClassicAST(t, definition),
	      classicAST = _createClassicAST.classicAST,
	      fragments = _createClassicAST.fragments,
	      variables = _createClassicAST.variables,
	      argumentDefinitions = _createClassicAST.argumentDefinitions;

	  var substitutions = createSubstitutionsForFragmentSpreads(t, path, fragments);

	  var transformedAST = createObject(t, {
	    kind: t.stringLiteral('FragmentDefinition'),
	    argumentDefinitions: createFragmentArguments(t, argumentDefinitions, variables),
	    node: createRelayQLTemplate(t, classicAST)
	  });

	  return createCompatConcreteNode(t, definition, transformedAST, substitutions, isHasteMode);
	}

	function createCompatOperationConcreteNode(t, path, definition, isHasteMode) {
	  var _createClassicAST2 = createClassicAST(t, definition),
	      classicAST = _createClassicAST2.classicAST,
	      fragments = _createClassicAST2.fragments;

	  var substitutions = createSubstitutionsForFragmentSpreads(t, path, fragments);
	  var nodeAST = classicAST.operation === 'query' ? createFragmentForOperation(t, classicAST) : createRelayQLTemplate(t, classicAST);
	  var transformedAST = createObject(t, {
	    kind: t.stringLiteral('OperationDefinition'),
	    argumentDefinitions: createOperationArguments(t, definition.variableDefinitions),
	    name: t.stringLiteral(definition.name.value),
	    operation: t.stringLiteral(classicAST.operation),
	    node: nodeAST
	  });

	  return createCompatConcreteNode(t, definition, transformedAST, substitutions, isHasteMode);
	}

	function createClassicAST(t, definition) {
	  var fragmentID = 0;

	  var fragments = {};
	  var variables = {};
	  var argumentDefinitions = null;

	  var visitors = {
	    Directive: function Directive(node) {
	      switch (node.name.value) {
	        case 'argumentDefinitions':
	          if (argumentDefinitions) {
	            throw new Error('BabelPluginRelay: Expected only one ' + '@argumentDefinitions directive');
	          }
	          argumentDefinitions = node.arguments;
	          return null;
	        case 'connection':
	          return null;
	        default:
	          return node;
	      }
	    },
	    FragmentSpread: function FragmentSpread(node) {
	      var directives = node.directives;

	      var fragmentName = node.name.value;
	      var fragmentArgumentsAST = null;
	      var substitutionName = null;

	      if (directives.length === 0) {
	        substitutionName = fragmentName;
	      } else {
	        // TODO: add support for @include and other directives.
	        var directive = directives[0];
	        if (directives.length !== 1 || directive.name.value !== 'arguments') {
	          throw new Error('BabelPluginRelay: Unsupported directive `' + directive.name.value + '` on fragment spread `...' + fragmentName + '`.');
	        }
	        var fragmentArgumentsObject = {};
	        directive.arguments.forEach(function (argNode) {
	          var arg = convertArgument(t, argNode);
	          fragmentArgumentsObject[arg.name] = arg.ast;
	        });
	        fragmentArgumentsAST = createObject(t, fragmentArgumentsObject);
	        fragmentID++;
	        substitutionName = fragmentName + '_args' + fragmentID;
	      }

	      fragments[substitutionName] = {
	        name: fragmentName,
	        args: fragmentArgumentsAST
	      };
	      return (0, _assign2['default'])({}, node, {
	        name: { kind: 'Name', value: substitutionName },
	        directives: []
	      });
	    },
	    Variable: function Variable(node) {
	      variables[node.name.value] = null;
	      return node;
	    }
	  };
	  var classicAST = __webpack_require__(6).visit(definition, visitors);

	  return {
	    classicAST: classicAST,
	    fragments: fragments,
	    variables: variables,
	    argumentDefinitions: argumentDefinitions
	  };
	}

	function createCompatConcreteNode(t, definition, transformedAST, substitutions, isHasteMode) {
	  return createObject(t, {
	    modern: createModernConcreteNode(t, definition, isHasteMode),
	    classic: t.functionExpression(null, [], t.blockStatement([t.variableDeclaration('const', [t.variableDeclarator(t.identifier('RelayQL_GENERATED'), createRequireCall(t, 'RelayQL_GENERATED'))].concat(substitutions)), t.returnStatement(transformedAST)]))
	  });
	}

	function createOperationArguments(t, variableDefinitions) {
	  return t.arrayExpression(variableDefinitions.map(function (definition) {
	    var name = definition.variable.name.value;
	    var defaultValue = definition.defaultValue ? parseValue(t, definition.defaultValue) : t.nullLiteral();
	    return createLocalArgument(t, name, defaultValue);
	  }));
	}

	function createFragmentArguments(t, argumentDefinitions, variables) {
	  var concreteDefinitions = [];
	  (0, _keys2['default'])(variables).forEach(function (name) {
	    var definition = (argumentDefinitions || []).find(function (arg) {
	      return arg.name.value === name;
	    });
	    if (definition) {
	      var defaultValueField = definition.value.fields.find(function (field) {
	        return field.name.value === 'defaultValue';
	      });
	      var defaultValue = defaultValueField ? parseValue(t, defaultValueField.value) : t.nullLiteral();
	      concreteDefinitions.push(createLocalArgument(t, name, defaultValue));
	    } else {
	      concreteDefinitions.push(createRootArgument(t, name));
	    }
	  });
	  return t.arrayExpression(concreteDefinitions);
	}

	function createLocalArgument(t, variableName, defaultValue) {
	  return createObject(t, {
	    defaultValue: defaultValue,
	    kind: t.stringLiteral('LocalArgument'),
	    name: t.stringLiteral(variableName)
	  });
	}

	function createRootArgument(t, variableName) {
	  return t.objectExpression([t.objectProperty(t.identifier('kind'), t.stringLiteral('RootArgument')), t.objectProperty(t.identifier('name'), t.stringLiteral(variableName))]);
	}

	function parseValue(t, value) {
	  switch (value.kind) {
	    case 'BooleanValue':
	      return t.booleanLiteral(value.value);
	    case 'IntValue':
	      return t.numericLiteral(parseInt(value.value, 10));
	    case 'FloatValue':
	      return t.numericLiteral(parseFloat(value.value));
	    case 'StringValue':
	      return t.stringLiteral(value.value);
	    case 'EnumValue':
	      return t.stringLiteral(value.value);
	    case 'ListValue':
	      return t.arrayExpression(value.values.map(function (item) {
	        return parseValue(t, item);
	      }));
	    default:
	      throw new Error('BabelPluginRelay: Unsupported literal type `' + value.kind + '`.');
	  }
	}

	function convertArgument(t, argNode) {
	  var name = argNode.name.value;
	  var value = argNode.value;
	  var ast = null;
	  switch (value.kind) {
	    case 'Variable':
	      var paramName = value.name.value;
	      ast = createObject(t, {
	        kind: t.stringLiteral('CallVariable'),
	        callVariableName: t.stringLiteral(paramName)
	      });
	      break;
	    default:
	      ast = parseValue(t, value);
	  }
	  return { name: name, ast: ast };
	}

	function createObject(t, obj) {
	  return t.objectExpression((0, _keys2['default'])(obj).map(function (key) {
	    return t.objectProperty(t.identifier(key), obj[key]);
	  }));
	}

	function createRequireCall(t, requiredPath) {
	  return t.callExpression(t.identifier('require'), [t.stringLiteral(requiredPath)]);
	}

	function createFragmentForOperation(t, operation) {
	  var type = void 0;
	  switch (operation.operation) {
	    case 'query':
	      type = 'Query';
	      break;
	    case 'mutation':
	      type = 'Mutation';
	      break;
	    case 'subscription':
	      type = 'Subscription';
	      break;
	    default:
	      throw new Error('BabelPluginRelay: Unexpected operation type: `' + operation.operation + '`.');
	  }
	  return createRelayQLTemplate(t, {
	    kind: 'FragmentDefinition',
	    loc: operation.loc,
	    name: {
	      kind: 'Name',
	      value: operation.name.value
	    },
	    typeCondition: {
	      kind: 'NamedType',
	      name: {
	        kind: 'Name',
	        value: type
	      }
	    },
	    directives: operation.directives,
	    selectionSet: operation.selectionSet
	  });
	}

	function createRelayQLTemplate(t, node) {
	  var text = __webpack_require__(6).print(node);
	  return t.taggedTemplateExpression(t.identifier('RelayQL_GENERATED'), t.templateLiteral([t.templateElement({ raw: text, cooked: text }, true)], []));
	}

	function getFragmentNameParts(fragmentName) {
	  var match = fragmentName.match(/^([a-zA-Z][a-zA-Z0-9]*)(?:_([a-zA-Z][_a-zA-Z0-9]*))?$/);
	  if (!match) {
	    throw new Error('BabelPluginGraphQL: Fragments should be named ' + '`ModuleName_fragmentName`, got `' + fragmentName + '`.');
	  }
	  var module = match[1];
	  var propName = match[2];
	  if (propName === DEFAULT_PROP_NAME) {
	    throw new Error('BabelPluginGraphQL: Fragment `' + fragmentName + '` should not end in ' + '`_data` to avoid conflict with a fragment named `' + module + '` ' + 'which also provides resulting data via the React prop `data`. Either ' + 'rename this fragment to `' + module + '` or choose a different ' + 'prop name.');
	  }
	  return [module, propName || DEFAULT_PROP_NAME];
	}

	function createSubstitutionsForFragmentSpreads(t, path, fragments) {
	  return (0, _keys2['default'])(fragments).map(function (varName) {
	    var fragment = fragments[varName];

	    var _getFragmentNameParts2 = getFragmentNameParts(fragment.name),
	        module = _getFragmentNameParts2[0],
	        propName = _getFragmentNameParts2[1];

	    return t.variableDeclarator(t.identifier(varName), createGetFragmentCall(t, path, module, propName, fragment.args));
	  });
	}

	function createGetFragmentCall(t, path, module, propName, fragmentArguments) {
	  var args = [];
	  if (propName) {
	    args.push(t.stringLiteral(propName));
	  }

	  if (fragmentArguments) {
	    args.push(fragmentArguments);
	  }

	  // If "module" is defined locally, then it's unsafe to assume it's a
	  // container. It might be a bound reference to the React class itself.
	  // To be safe, when defined locally, always check the __container__ property
	  // first.
	  var container = isDefinedLocally(path, module) ? t.logicalExpression('||',
	  // __container__ is defined via ReactRelayCompatContainerBuilder.
	  t.memberExpression(t.identifier(module), t.identifier('__container__')), t.identifier(module)) : t.identifier(module);

	  return t.callExpression(t.memberExpression(container, t.identifier('getFragment')), args);
	}

	function isDefinedLocally(path, name) {
	  var binding = path.scope.getBinding(name);
	  if (!binding) {
	    return false;
	  }

	  // Binding comes from import.
	  if (binding.kind === 'module') {
	    return false;
	  }

	  // Binding comes from require.
	  if (binding.path.isVariableDeclarator() && binding.path.get('init').node && binding.path.get('init.callee').isIdentifier({ name: 'require' })) {
	    return false;
	  }

	  // Otherwise, defined locally.
	  return true;
	}

	/**
	 * Given a babel AST path to a tagged template literal, return an AST if it is
	 * a graphql`` or graphql.experimental`` literal being used in a valid way.
	 * If it is some other type of template literal then return nothing.
	 */
	function getValidGraphQLTag(path) {
	  var tag = path.get('tag');

	  var tagName = tag.isIdentifier({ name: 'graphql' }) ? 'graphql' : tag.matchesPattern('graphql.experimental') ? 'graphql.experimental' : undefined;

	  if (!tagName) {
	    return;
	  }

	  var quasis = path.node.quasi.quasis;

	  if (quasis.length !== 1) {
	    throw new Error('BabelPluginRelay: Substitutions are not allowed in ' + 'graphql fragments. Included fragments should be referenced ' + 'as `...MyModule_propName`.');
	  }

	  var text = quasis[0].value.raw;

	  // `graphql` only supports spec-compliant GraphQL: experimental extensions
	  // such as fragment arguments are disabled
	  if (tagName === 'graphql' && /@argument(Definition)?s\b/.test(text)) {
	    throw new Error('BabelPluginRelay: Unexpected use of fragment variables: ' + '@arguments and @argumentDefinitions are only supported in ' + 'experimental mode. Source: ' + text);
	  }

	  var ast = __webpack_require__(6).parse(text);

	  if (ast.definitions.length === 0) {
	    throw new Error('BabelPluginRelay: Unexpected empty graphql tag.');
	  }

	  return ast;
	}

	module.exports = {
	  getValidGraphQLTag: getValidGraphQLTag,
	  compileGraphQLTag: compileGraphQLTag
	};

/***/ },
/* 15 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(17), __esModule: true };

/***/ },
/* 16 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(18), __esModule: true };

/***/ },
/* 17 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(42);
	module.exports = __webpack_require__(1).Object.assign;

/***/ },
/* 18 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(43);
	module.exports = __webpack_require__(1).Object.keys;

/***/ },
/* 19 */
/***/ function(module, exports) {

	module.exports = function(it){
	  if(typeof it != 'function')throw TypeError(it + ' is not a function!');
	  return it;
	};

/***/ },
/* 20 */
/***/ function(module, exports, __webpack_require__) {

	var isObject = __webpack_require__(5);
	module.exports = function(it){
	  if(!isObject(it))throw TypeError(it + ' is not an object!');
	  return it;
	};

/***/ },
/* 21 */
/***/ function(module, exports, __webpack_require__) {

	// false -> Array#indexOf
	// true  -> Array#includes
	var toIObject = __webpack_require__(12)
	  , toLength  = __webpack_require__(39)
	  , toIndex   = __webpack_require__(38);
	module.exports = function(IS_INCLUDES){
	  return function($this, el, fromIndex){
	    var O      = toIObject($this)
	      , length = toLength(O.length)
	      , index  = toIndex(fromIndex, length)
	      , value;
	    // Array#includes uses SameValueZero equality algorithm
	    if(IS_INCLUDES && el != el)while(length > index){
	      value = O[index++];
	      if(value != value)return true;
	    // Array#toIndex ignores holes, Array#includes - not
	    } else for(;length > index; index++)if(IS_INCLUDES || index in O){
	      if(O[index] === el)return IS_INCLUDES || index || 0;
	    } return !IS_INCLUDES && -1;
	  };
	};

/***/ },
/* 22 */
/***/ function(module, exports) {

	var toString = {}.toString;

	module.exports = function(it){
	  return toString.call(it).slice(8, -1);
	};

/***/ },
/* 23 */
/***/ function(module, exports, __webpack_require__) {

	// optional / simple context binding
	var aFunction = __webpack_require__(19);
	module.exports = function(fn, that, length){
	  aFunction(fn);
	  if(that === undefined)return fn;
	  switch(length){
	    case 1: return function(a){
	      return fn.call(that, a);
	    };
	    case 2: return function(a, b){
	      return fn.call(that, a, b);
	    };
	    case 3: return function(a, b, c){
	      return fn.call(that, a, b, c);
	    };
	  }
	  return function(/* ...args */){
	    return fn.apply(that, arguments);
	  };
	};

/***/ },
/* 24 */
/***/ function(module, exports, __webpack_require__) {

	var isObject = __webpack_require__(5)
	  , document = __webpack_require__(4).document
	  // in old IE typeof document.createElement is 'object'
	  , is = isObject(document) && isObject(document.createElement);
	module.exports = function(it){
	  return is ? document.createElement(it) : {};
	};

/***/ },
/* 25 */
/***/ function(module, exports) {

	// IE 8- don't enum bug keys
	module.exports = (
	  'constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf'
	).split(',');

/***/ },
/* 26 */
/***/ function(module, exports) {

	var hasOwnProperty = {}.hasOwnProperty;
	module.exports = function(it, key){
	  return hasOwnProperty.call(it, key);
	};

/***/ },
/* 27 */
/***/ function(module, exports, __webpack_require__) {

	var dP         = __webpack_require__(30)
	  , createDesc = __webpack_require__(35);
	module.exports = __webpack_require__(3) ? function(object, key, value){
	  return dP.f(object, key, createDesc(1, value));
	} : function(object, key, value){
	  object[key] = value;
	  return object;
	};

/***/ },
/* 28 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = !__webpack_require__(3) && !__webpack_require__(2)(function(){
	  return Object.defineProperty(__webpack_require__(24)('div'), 'a', {get: function(){ return 7; }}).a != 7;
	});

/***/ },
/* 29 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	// 19.1.2.1 Object.assign(target, source, ...)
	var getKeys  = __webpack_require__(10)
	  , gOPS     = __webpack_require__(31)
	  , pIE      = __webpack_require__(33)
	  , toObject = __webpack_require__(13)
	  , IObject  = __webpack_require__(9)
	  , $assign  = Object.assign;

	// should work with symbols and should have deterministic property order (V8 bug)
	module.exports = !$assign || __webpack_require__(2)(function(){
	  var A = {}
	    , B = {}
	    , S = Symbol()
	    , K = 'abcdefghijklmnopqrst';
	  A[S] = 7;
	  K.split('').forEach(function(k){ B[k] = k; });
	  return $assign({}, A)[S] != 7 || Object.keys($assign({}, B)).join('') != K;
	}) ? function assign(target, source){ // eslint-disable-line no-unused-vars
	  var T     = toObject(target)
	    , aLen  = arguments.length
	    , index = 1
	    , getSymbols = gOPS.f
	    , isEnum     = pIE.f;
	  while(aLen > index){
	    var S      = IObject(arguments[index++])
	      , keys   = getSymbols ? getKeys(S).concat(getSymbols(S)) : getKeys(S)
	      , length = keys.length
	      , j      = 0
	      , key;
	    while(length > j)if(isEnum.call(S, key = keys[j++]))T[key] = S[key];
	  } return T;
	} : $assign;

/***/ },
/* 30 */
/***/ function(module, exports, __webpack_require__) {

	var anObject       = __webpack_require__(20)
	  , IE8_DOM_DEFINE = __webpack_require__(28)
	  , toPrimitive    = __webpack_require__(40)
	  , dP             = Object.defineProperty;

	exports.f = __webpack_require__(3) ? Object.defineProperty : function defineProperty(O, P, Attributes){
	  anObject(O);
	  P = toPrimitive(P, true);
	  anObject(Attributes);
	  if(IE8_DOM_DEFINE)try {
	    return dP(O, P, Attributes);
	  } catch(e){ /* empty */ }
	  if('get' in Attributes || 'set' in Attributes)throw TypeError('Accessors not supported!');
	  if('value' in Attributes)O[P] = Attributes.value;
	  return O;
	};

/***/ },
/* 31 */
/***/ function(module, exports) {

	exports.f = Object.getOwnPropertySymbols;

/***/ },
/* 32 */
/***/ function(module, exports, __webpack_require__) {

	var has          = __webpack_require__(26)
	  , toIObject    = __webpack_require__(12)
	  , arrayIndexOf = __webpack_require__(21)(false)
	  , IE_PROTO     = __webpack_require__(36)('IE_PROTO');

	module.exports = function(object, names){
	  var O      = toIObject(object)
	    , i      = 0
	    , result = []
	    , key;
	  for(key in O)if(key != IE_PROTO)has(O, key) && result.push(key);
	  // Don't enum bug & hidden keys
	  while(names.length > i)if(has(O, key = names[i++])){
	    ~arrayIndexOf(result, key) || result.push(key);
	  }
	  return result;
	};

/***/ },
/* 33 */
/***/ function(module, exports) {

	exports.f = {}.propertyIsEnumerable;

/***/ },
/* 34 */
/***/ function(module, exports, __webpack_require__) {

	// most Object methods by ES6 should accept primitives
	var $export = __webpack_require__(8)
	  , core    = __webpack_require__(1)
	  , fails   = __webpack_require__(2);
	module.exports = function(KEY, exec){
	  var fn  = (core.Object || {})[KEY] || Object[KEY]
	    , exp = {};
	  exp[KEY] = exec(fn);
	  $export($export.S + $export.F * fails(function(){ fn(1); }), 'Object', exp);
	};

/***/ },
/* 35 */
/***/ function(module, exports) {

	module.exports = function(bitmap, value){
	  return {
	    enumerable  : !(bitmap & 1),
	    configurable: !(bitmap & 2),
	    writable    : !(bitmap & 4),
	    value       : value
	  };
	};

/***/ },
/* 36 */
/***/ function(module, exports, __webpack_require__) {

	var shared = __webpack_require__(37)('keys')
	  , uid    = __webpack_require__(41);
	module.exports = function(key){
	  return shared[key] || (shared[key] = uid(key));
	};

/***/ },
/* 37 */
/***/ function(module, exports, __webpack_require__) {

	var global = __webpack_require__(4)
	  , SHARED = '__core-js_shared__'
	  , store  = global[SHARED] || (global[SHARED] = {});
	module.exports = function(key){
	  return store[key] || (store[key] = {});
	};

/***/ },
/* 38 */
/***/ function(module, exports, __webpack_require__) {

	var toInteger = __webpack_require__(11)
	  , max       = Math.max
	  , min       = Math.min;
	module.exports = function(index, length){
	  index = toInteger(index);
	  return index < 0 ? max(index + length, 0) : min(index, length);
	};

/***/ },
/* 39 */
/***/ function(module, exports, __webpack_require__) {

	// 7.1.15 ToLength
	var toInteger = __webpack_require__(11)
	  , min       = Math.min;
	module.exports = function(it){
	  return it > 0 ? min(toInteger(it), 0x1fffffffffffff) : 0; // pow(2, 53) - 1 == 9007199254740991
	};

/***/ },
/* 40 */
/***/ function(module, exports, __webpack_require__) {

	// 7.1.1 ToPrimitive(input [, PreferredType])
	var isObject = __webpack_require__(5);
	// instead of the ES6 spec version, we didn't implement @@toPrimitive case
	// and the second argument - flag - preferred type is a string
	module.exports = function(it, S){
	  if(!isObject(it))return it;
	  var fn, val;
	  if(S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it)))return val;
	  if(typeof (fn = it.valueOf) == 'function' && !isObject(val = fn.call(it)))return val;
	  if(!S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it)))return val;
	  throw TypeError("Can't convert object to primitive value");
	};

/***/ },
/* 41 */
/***/ function(module, exports) {

	var id = 0
	  , px = Math.random();
	module.exports = function(key){
	  return 'Symbol('.concat(key === undefined ? '' : key, ')_', (++id + px).toString(36));
	};

/***/ },
/* 42 */
/***/ function(module, exports, __webpack_require__) {

	// 19.1.3.1 Object.assign(target, source)
	var $export = __webpack_require__(8);

	$export($export.S + $export.F, 'Object', {assign: __webpack_require__(29)});

/***/ },
/* 43 */
/***/ function(module, exports, __webpack_require__) {

	// 19.1.2.14 Object.keys(O)
	var toObject = __webpack_require__(13)
	  , $keys    = __webpack_require__(10);

	__webpack_require__(34)('keys', function(){
	  return function keys(it){
	    return $keys(toObject(it));
	  };
	});

/***/ }
/******/ ]);